[if]
if ($)
{
}
[do]
do
{
  $
}
while ();
[for]
for ($;;)
{

}
[while]
while ($)
{

}
[return]
return ($);
[switch]
switch ($)
{

}
[case]
case $:
  break;
[else]
else 
{
  $
}
[else if]
else if ()
{
  $
}
[$$end$$]

